<fieldset>
  <h4><label><input type="checkbox" id="sba_page_list_all" name="sba_page_list_all" /> <?php echo esc_html__( 'PAGES', 'search-bar-ads' ); ?></label></h4>
  <?php

  $page_ids = get_all_page_ids();

  if ( $editing ) {

    if ( $saved ) {

      $get_page_ids = $default_page_ids;

    } else {

      $get_page_ids = explode( ',', $default_page_ids );

    }

  } else {

    $get_page_ids = $page_ids;

  }

  $wc_shop_page_id = get_option( 'woocommerce_shop_page_id' ); ?>

  <ul class="placement-list columned-list">

    <?php foreach ( $page_ids as $page_id ) {

      if ( get_post_status( $page_id ) == 'publish' ) {

        if ( $wc_shop_page_id ) {

          if ( $page_id != $wc_shop_page_id ) { ?>

            <li><label><input type="checkbox" class="sba_page_checkbox" name="sba_page_list[]" value="<?php echo esc_attr( $page_id ); ?>" <?php if ( in_array( $page_id, $get_page_ids ) ) { echo 'checked'; } ?> /> <?php echo esc_html( get_the_title( $page_id ) ); ?></label></li>

          <?php }

        } else if ( get_the_title( $page_id ) != 'Shop' ) { ?>

          <li><label><input type="checkbox" class="sba_page_checkbox" name="sba_page_list[]" value="<?php echo esc_attr( $page_id ); ?>" <?php if ( in_array( $page_id, $get_page_ids ) ) { echo 'checked'; } ?> /> <?php echo esc_html( get_the_title( $page_id ) ); ?></label></li>

        <?php }

      }

    } ?>

  </ul>

</fieldset>
