jQuery( document ).ready( function( $ ) {

	'use strict';

	var sba_value = $( 'span#sba_front_text' ).attr( 'data-text' );
	var sba_link = $( 'span#sba_front_link' ).text();
	var sba_field = $( 'span#sba_field_css_selector' ).text();
	var sba_button = $( 'span#sba_button_css_selector' ).text();

	if ( sba_value ) {

		$( sba_field ).addClass( 'sba-search-field' );
		$( sba_button ).addClass( 'sba-search-field' );
		sba_field = sba_field + '.sba-search-field';
		sba_button = sba_button + '.sba-search-field';

		$( sba_field ).val( sba_value );
		$( sba_field ).on( 'focus', search_bar_ads_focus );
		$( sba_field ).on( 'focusout', search_bar_ads_focusout );
		$( sba_button ).on( 'click', search_bar_ads_click );

	}

	function search_bar_ads_focus() {

		if ( $( sba_field ).val() == sba_value ) {

			$( sba_field ).val( '' );

		}

	}

	function search_bar_ads_focusout() {

		if ( !$( sba_field ).val() ) {

			$( sba_field ).val( sba_value );

		}

	}

	function search_bar_ads_click( e ) {

		if ( $( sba_field ).val() == sba_value ) {

			e.preventDefault();
			window.location.href = sba_link;

		}

	}

} );
