<fieldset>
  <h4><label><input type="checkbox" id="sba_category_list_all" name="sba_category_list_all" /> <?php echo esc_html__( 'PRODUCT CATEGORIES', 'search-bar-ads' ); ?></label></h4>
  <?php

  $args = array(
    'taxonomy' => 'product_cat',
  );

  $product_categories = get_terms( $args );

  if ( $editing ) {

    if ( $saved ) {

      $get_category_ids = $default_category_ids;

    } else {

      $get_category_ids = explode( ',', $default_category_ids );

    }

  } else {

    $get_category_ids = [];

    foreach ( $product_categories as $category ) {

      array_push( $get_category_ids, $category->term_id );

    }

  } ?>

  <ul class="placement-list columned-list">

    <?php

    $final_product_categories = [];

    foreach ( $product_categories as $category ) {

      $category_name = $category->name;

      if ( $category->parent ) {

        $parent_category = get_term( $category->parent );
        $category_name = $parent_category->name . ' > ' . $category->name;

      }

      array_push( $final_product_categories, array( 'id' => $category->term_id, 'name' => $category_name ) );

    }

    usort( $final_product_categories, function ( $a, $b ) { return strcmp( $a['name'], $b['name'] ); } );

    foreach ( $final_product_categories as $f_category ) { ?>

      <li><label><input type="checkbox" class="sba_category_checkbox" name="sba_category_list[]" value="<?php echo esc_attr( $f_category['id'] ); ?>" <?php if ( in_array( $f_category['id'], $get_category_ids ) ) { echo 'checked'; } ?> /> <?php echo esc_html( $f_category['name'] ); ?></label></li>

    <?php } ?>

  </ul>

</fieldset>
